<?php
session_start();
error_reporting(0);
include('includes/config.php');
if (strlen($_SESSION['adminlogin']) == 0) {
	header('location:index.php');
	die();
}

?>

<!doctype html>
<html lang="en" class="no-js">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">
	<meta name="theme-color" content="#3e454c">

	<title>Recharge History</title>

	<!-- Font awesome -->
	<link rel="stylesheet" href="css/font-awesome.min.css">
	<!-- Sandstone Bootstrap CSS -->
	<link rel="stylesheet" href="css/bootstrap.min.css">
	<!-- Admin Stye -->
	<link rel="stylesheet" href="css/style.css">
	<style>
		.errorWrap {
			padding: 10px;
			margin: 0 0 20px 0;
			background: #dd3d36;
			color: #fff;
			-webkit-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
			box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
		}

		.succWrap {
			padding: 10px;
			margin: 0 0 20px 0;
			background: #5cb85c;
			color: #fff;
			-webkit-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
			box-shadow: 0 1px 1px 0 rgba(0, 0, 0, .1);
		}
	</style>

</head>

<body>
	<?php include('includes/header.php'); ?>

	<div class="ts-main-content">
		<?php include('includes/leftbar.php'); ?>
		<div class="content-wrapper">
			<div class="container-fluid">

				<div class="row">
					<div class="col-md-12">

						<h2 class="page-title">Recharge History</h2>

						<!-- Zero Configuration Table -->
						<div class="panel panel-default">
							<?php

                            // Get the current date in the desired format
                            $currentDate = date("Y-m-d");
                            $currentMonth = date("Y-m");
                            //query for today
							$sql = "SELECT SUM(amount) AS today_total FROM payment WHERE DATE(SUBSTRING_INDEX(paymentExecuteTime, 'T', 1)) = :currentDate";
							$query = $dbh->prepare($sql);
                            // Bind the current date parameter
                            $query->bindParam(':currentDate', $currentDate);

							$query->execute();
							$today_obj = $query->fetch(PDO::FETCH_OBJ);

                            //result for todays month
                            // Prepare the SQL query to retrieve records for the current month
                            $sqlMonth = "SELECT SUM(amount) AS month_total FROM payment WHERE DATE_FORMAT(SUBSTRING_INDEX(paymentExecuteTime, 'T', 1), '%Y-%m') = :currentMonth";

                            // Prepare the statement
                            $stmt = $dbh->prepare($sqlMonth);

                            // Bind the current month parameter
                            $stmt->bindParam(':currentMonth', $currentMonth);

                            // Execute the statement
                            $stmt->execute();
                            $month_obj = $stmt->fetch(PDO::FETCH_ASSOC);
							?>

							<div class="h3">Today Total Recharge: <?php echo $today_obj->today_total; ?></div>
							<div class="h3">This Month Total Recharge: <?php echo $month_obj['month_total']; ?></div>
							
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<!-- Loading Scripts -->
	<script src="js/jquery.min.js"></script>
	<script src="js/bootstrap-select.min.js"></script>
	<script src="js/bootstrap.min.js"></script>
	<script src="js/main.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			setTimeout(function() {
				$('.succWrap').slideUp("slow");
			}, 3000);
		});
	</script>

</body>

</html>